$(document).ready(function () {
    $(document).on("scroll", onScroll);
    
    //smoothscroll
    $('a.slideanchor[href^="#"]').on('click', function (e) {
        e.preventDefault();
        $(document).off("scroll");
        
        $('a.slideanchor').each(function () {
            $(this).removeClass('active');
        })
        var target = this.hash, menu = target;
        $target = $(target);
        $('html, body').stop().animate({
            'scrollTop': $target.offset().top-0
        }, 1000, 'swing', function () {
            $(document).on("scroll", onScroll);
            $(this).addClass('active');
        });
      
    });
});

function onScroll(event){
    var scrollPos = $(document).scrollTop();
    $('a.slideanchor').each(function () {
        var currLink = $(this);
        var refElement = $(currLink.attr("href"));
        if (refElement.position().top <= (scrollPos + 0) && (refElement.position().top + refElement.height()) > scrollPos) {
            $('a.slideanchor').removeClass("active");
            currLink.addClass("active");


            return false;
        }
        else {
            currLink.removeClass("active");
        }
    });
}